# Interface PlaylistManager

interface PlaylistManager {
createPlaylistFromBrightcoveVideoModels(models): Playlist<BrightcoveVideo>;
createPlaylistFromRemoteSources(sources): Playlist<Source>;
dispose(): void;
getCurrentPlaylist(): null | Playlist<Source | BrightcoveVideo>;
setAutoAdvanceHandler(handler): void;
setPlaylist(playlist): void;
updateConfiguration(config, prev): void;
}

#####
Index

### Methods

createPlaylistFromBrightcoveVideoModels
createPlaylistFromRemoteSources
dispose
getCurrentPlaylist
setAutoAdvanceHandler
setPlaylist
updateConfiguration

## Methods

### createPlaylistFromBrightcoveVideoModels

- createPlaylistFromBrightcoveVideoModels(models): Playlist<BrightcoveVideo>

- #### Parameters

  - models: BrightcoveVideo[]

  #### Returns Playlist<BrightcoveVideo>

### createPlaylistFromRemoteSources

- createPlaylistFromRemoteSources(sources): Playlist<Source>

- #### Parameters

  - sources: Source[]

  #### Returns Playlist<Source>

### dispose

- dispose(): void

- #### Returns void

### getCurrentPlaylist

- getCurrentPlaylist(): null | Playlist<Source | BrightcoveVideo>

- #### Returns null | Playlist<Source | BrightcoveVideo>

### setAutoAdvanceHandler

- setAutoAdvanceHandler(handler): void

- #### Parameters

  - handler: AutoAdvanceHandler

  #### Returns void

### setPlaylist

- setPlaylist(playlist): void

- #### Parameters

  - playlist: Playlist<Source | BrightcoveVideo>

  #### Returns void

### updateConfiguration

- updateConfiguration(config, prev): void

- #### Parameters

  - config: PlaylistConfiguration
  - prev: PlaylistConfiguration

  #### Returns void